summaryrefslogtreecommitdiffstats
path: root/meta-agl-profile-core/recipes-connectivity/ofono/files
diff options
context:
space:
mode:
authorMatt Ranostay <matt.ranostay@konsulko.com>2019-02-05 20:29:03 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2019-02-18 11:30:30 +0000
commit7f5a0ab417630fe8114bbf1977ebdabd8414bab2 (patch)
tree173e9066968e6176edd984ce393558a0aef43138 /meta-agl-profile-core/recipes-connectivity/ofono/files
parentee287ec3a4a320c4dc7829a93ea7dc5f9426a5a1 (diff)
meta-agl-profile-core: recipes-connectivity: ofono: upgrade to 1.24
Backport from thud that pulls in various Qualcomm WWAN bugfixes and feature enchancements that are required for functional support. Bug-AGL: SPEC-2160 Change-Id: Ic82508a5b747a2ddd9c0ead774be1e5ef416e358 Signed-off-by: Matt Ranostay <matt.ranostay@konsulko.com>
Diffstat (limited to 'meta-agl-profile-core/recipes-connectivity/ofono/files')
-rw-r--r--meta-agl-profile-core/recipes-connectivity/ofono/files/ofono42
1 files changed, 42 insertions, 0 deletions
diff --git a/meta-agl-profile-core/recipes-connectivity/ofono/files/ofono b/meta-agl-profile-core/recipes-connectivity/ofono/files/ofono
new file mode 100644
index 000000000..cc9970929
--- /dev/null
+++ b/meta-agl-profile-core/recipes-connectivity/ofono/files/ofono
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+DAEMON=/usr/sbin/ofonod
+PIDFILE=/var/run/ofonod.pid
+DESC="Telephony daemon"
+
+if [ -f /etc/default/ofono ] ; then
+ . /etc/default/ofono
+fi
+
+set -e
+
+do_start() {
+ $DAEMON
+}
+
+do_stop() {
+ start-stop-daemon --stop --name ofonod --quiet
+}
+
+case "$1" in
+ start)
+ echo "Starting $DESC"
+ do_start
+ ;;
+ stop)
+ echo "Stopping $DESC"
+ do_stop
+ ;;
+ restart|force-reload)
+ echo "Restarting $DESC"
+ do_stop
+ sleep 1
+ do_start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0